Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.f90	(revision 3779)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.f90	(revision 3780)
@@ -65,4 +65,5 @@
 !         ,REQ_MCFCT,IP_MAX,jname
 
+  PUBLIC :: cs_mech
   PUBLIC :: eqn_names, phot_names, spc_names
   PUBLIC :: nmaxfixsteps
@@ -81,4 +82,5 @@
   PUBLIC :: chem_gasphase_integrate
   PUBLIC :: initialize_kpp_ctrl
+  PUBLIC :: get_mechanismname
 
 ! END OF MODULE HEADER TEMPLATE
@@ -113,6 +115,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Nov 30 13:52:22 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:49 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -188,6 +190,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Nov 30 13:52:22 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:49 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -234,4 +236,6 @@
   REAL(kind=dp):: fakt
 
+! CS_MECH for check of mechanism name with namelist
+  CHARACTER(len=30):: cs_mech
 
 ! INLINED global variable declarations
@@ -254,6 +258,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Nov 30 13:52:22 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:49 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -298,6 +302,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Nov 30 13:52:22 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:49 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -358,6 +362,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Nov 30 13:52:22 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:49 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -384,6 +388,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Nov 30 13:52:22 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:49 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -442,6 +446,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Nov 30 13:52:22 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:49 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -469,6 +473,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Nov 30 13:52:22 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:49 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -496,6 +500,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Nov 30 13:52:22 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:49 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -525,6 +529,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Nov 30 13:52:22 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:49 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -551,6 +555,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Nov 30 13:52:22 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:49 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -657,4 +661,8 @@
     MODULE PROCEDURE   kppdecomp
   END INTERFACE        kppdecomp
+ 
+  INTERFACE            get_mechanismname
+    MODULE PROCEDURE   get_mechanismname
+  END INTERFACE        get_mechanismname
  
   INTERFACE            chem_gasphase_integrate
@@ -2222,4 +2230,15 @@
   END SUBROUTINE kppdecomp                                            
  
+SUBROUTINE get_mechanismname                                        
+                                                                    
+  IMPLICIT NONE                                                     
+
+! Set cs_mech for check with mechanism name from namelist
+    cs_mech = 'passive'
+                                                                    
+  RETURN                                                            
+END SUBROUTINE get_mechanismname                                    
+                                                                    
+ 
 SUBROUTINE chem_gasphase_integrate (time_step_len, conc, tempi, qvapi, fakti, photo, ierrf, xnacc, xnrej, istatus, l_debug, pe, &
                      icntrl_i, rcntrl_i) 
@@ -2307,5 +2326,5 @@
                                                                     
   RETURN                                                            
-END SUBROUTINE chem_gasphase_integrate                                        
+END SUBROUTINE chem_gasphase_integrate                              
 
 END MODULE chem_gasphase_mod
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.f90	(revision 3779)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.f90	(revision 3780)
@@ -65,4 +65,5 @@
 !         ,REQ_MCFCT,IP_MAX,jname
 
+  PUBLIC :: cs_mech
   PUBLIC :: eqn_names, phot_names, spc_names
   PUBLIC :: nmaxfixsteps
@@ -81,4 +82,5 @@
   PUBLIC :: chem_gasphase_integrate
   PUBLIC :: initialize_kpp_ctrl
+  PUBLIC :: get_mechanismname
 
 ! END OF MODULE HEADER TEMPLATE
@@ -113,6 +115,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Nov 30 13:52:18 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -187,6 +189,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Nov 30 13:52:18 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -233,4 +235,6 @@
   REAL(kind=dp):: fakt
 
+! CS_MECH for check of mechanism name with namelist
+  CHARACTER(len=30):: cs_mech
 
 ! INLINED global variable declarations
@@ -253,6 +257,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Nov 30 13:52:18 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -297,6 +301,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Nov 30 13:52:18 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -356,6 +360,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Nov 30 13:52:18 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -382,6 +386,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Nov 30 13:52:18 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -440,6 +444,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Nov 30 13:52:18 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -467,6 +471,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Nov 30 13:52:18 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -494,6 +498,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Nov 30 13:52:18 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -523,6 +527,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Nov 30 13:52:18 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -549,6 +553,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Nov 30 13:52:18 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -655,4 +659,8 @@
     MODULE PROCEDURE   kppdecomp
   END INTERFACE        kppdecomp
+ 
+  INTERFACE            get_mechanismname
+    MODULE PROCEDURE   get_mechanismname
+  END INTERFACE        get_mechanismname
  
   INTERFACE            chem_gasphase_integrate
@@ -2212,4 +2220,15 @@
   END SUBROUTINE kppdecomp                                            
  
+SUBROUTINE get_mechanismname                                        
+                                                                    
+  IMPLICIT NONE                                                     
+
+! Set cs_mech for check with mechanism name from namelist
+    cs_mech = 'passive1'
+                                                                    
+  RETURN                                                            
+END SUBROUTINE get_mechanismname                                    
+                                                                    
+ 
 SUBROUTINE chem_gasphase_integrate (time_step_len, conc, tempi, qvapi, fakti, photo, ierrf, xnacc, xnrej, istatus, l_debug, pe, &
                      icntrl_i, rcntrl_i) 
@@ -2297,5 +2316,5 @@
                                                                     
   RETURN                                                            
-END SUBROUTINE chem_gasphase_integrate                                        
+END SUBROUTINE chem_gasphase_integrate                              
 
 END MODULE chem_gasphase_mod
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.f90	(revision 3779)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.f90	(revision 3780)
@@ -65,4 +65,5 @@
 !         ,REQ_MCFCT,IP_MAX,jname
 
+  PUBLIC :: cs_mech
   PUBLIC :: eqn_names, phot_names, spc_names
   PUBLIC :: nmaxfixsteps
@@ -81,4 +82,5 @@
   PUBLIC :: chem_gasphase_integrate
   PUBLIC :: initialize_kpp_ctrl
+  PUBLIC :: get_mechanismname
 
 ! END OF MODULE HEADER TEMPLATE
@@ -113,6 +115,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -189,6 +191,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -235,4 +237,6 @@
   REAL(kind=dp):: fakt
 
+! CS_MECH for check of mechanism name with namelist
+  CHARACTER(len=30):: cs_mech
 
 ! INLINED global variable declarations
@@ -255,6 +259,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -299,6 +303,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -359,6 +363,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -385,6 +389,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -443,6 +447,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -470,6 +474,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -497,6 +501,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -526,6 +530,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -552,6 +556,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:50 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -658,4 +662,8 @@
     MODULE PROCEDURE   kppdecomp
   END INTERFACE        kppdecomp
+ 
+  INTERFACE            get_mechanismname
+    MODULE PROCEDURE   get_mechanismname
+  END INTERFACE        get_mechanismname
  
   INTERFACE            chem_gasphase_integrate
@@ -2253,4 +2261,15 @@
   END SUBROUTINE kppdecomp                                            
  
+SUBROUTINE get_mechanismname                                        
+                                                                    
+  IMPLICIT NONE                                                     
+
+! Set cs_mech for check with mechanism name from namelist
+    cs_mech = 'phstat'
+                                                                    
+  RETURN                                                            
+END SUBROUTINE get_mechanismname                                    
+                                                                    
+ 
 SUBROUTINE chem_gasphase_integrate (time_step_len, conc, tempi, qvapi, fakti, photo, ierrf, xnacc, xnrej, istatus, l_debug, pe, &
                      icntrl_i, rcntrl_i) 
@@ -2338,5 +2357,5 @@
                                                                     
   RETURN                                                            
-END SUBROUTINE chem_gasphase_integrate                                        
+END SUBROUTINE chem_gasphase_integrate                              
 
 END MODULE chem_gasphase_mod
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstatp/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstatp/chem_gasphase_mod.f90	(revision 3779)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstatp/chem_gasphase_mod.f90	(revision 3780)
@@ -65,4 +65,5 @@
 !         ,REQ_MCFCT,IP_MAX,jname
 
+  PUBLIC :: cs_mech
   PUBLIC :: eqn_names, phot_names, spc_names
   PUBLIC :: nmaxfixsteps
@@ -81,4 +82,5 @@
   PUBLIC :: chem_gasphase_integrate
   PUBLIC :: initialize_kpp_ctrl
+  PUBLIC :: get_mechanismname
 
 ! END OF MODULE HEADER TEMPLATE
@@ -113,6 +115,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -190,6 +192,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -236,4 +238,6 @@
   REAL(kind=dp):: fakt
 
+! CS_MECH for check of mechanism name with namelist
+  CHARACTER(len=30):: cs_mech
 
 ! INLINED global variable declarations
@@ -256,6 +260,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -300,6 +304,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -362,6 +366,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -388,6 +392,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -446,6 +450,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -473,6 +477,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -500,6 +504,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -529,6 +533,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -555,6 +559,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -661,4 +665,8 @@
     MODULE PROCEDURE   kppdecomp
   END INTERFACE        kppdecomp
+ 
+  INTERFACE            get_mechanismname
+    MODULE PROCEDURE   get_mechanismname
+  END INTERFACE        get_mechanismname
  
   INTERFACE            chem_gasphase_integrate
@@ -2264,4 +2272,15 @@
   END SUBROUTINE kppdecomp                                            
  
+SUBROUTINE get_mechanismname                                        
+                                                                    
+  IMPLICIT NONE                                                     
+
+! Set cs_mech for check with mechanism name from namelist
+    cs_mech = 'phstatp'
+                                                                    
+  RETURN                                                            
+END SUBROUTINE get_mechanismname                                    
+                                                                    
+ 
 SUBROUTINE chem_gasphase_integrate (time_step_len, conc, tempi, qvapi, fakti, photo, ierrf, xnacc, xnrej, istatus, l_debug, pe, &
                      icntrl_i, rcntrl_i) 
@@ -2349,5 +2368,5 @@
                                                                     
   RETURN                                                            
-END SUBROUTINE chem_gasphase_integrate                                        
+END SUBROUTINE chem_gasphase_integrate                              
 
 END MODULE chem_gasphase_mod
